com.microfocus.awm.meta.interfaces

## Interface ElementType

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    LinkedElementType
  All Known Implementing Classes:
    ElementTypeImpl, LinkedElementTypeImpl

      public interface ElementType
      extends AWMIdentifiableObject

  An element type describes a class of elements, including their properties and applicable actions. Every element must belong to an element type at run time. The element type is assigned via the match name. Each element type has a match name attribute, under which a unique name for the type must be defined. A tool that creates a new element must return this name under a designated property.

  The following features are supported:

  - `Has Get Children Action`
  - `Has Get Properties Action`
  - `Has Action`
  - `Has Property`
  - `Has Filter`
  - `Has Text Decoration`
  - `Icon`
  - `ID Definition`
  - `Matchname`
  See Also:
    `TaurusPackage.getElementType()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RElementAction` | `getDefaultAction()` Deprecated. this method only returns the first default action, while there can be several. Either iterate through `getHasAction()` and use `RElementAction.isDefaultAction()` or use ElementAction#getDefaultActionsForType(ElementType, org.eclipse.jface.viewers.Viewer).
    `RElementProperty` | `getElementSuffixProperty()` Gets the first element type property which has the special property value `ESpecialProperties.ELEMENT_SUFFIX`.
    `ActionDescriptor` | `getGetAllProperties()` Deprecated. use `, RElementGetProperties#getTargetID()` instead
    `ActionDescriptor` | `getGetChildren()` Returns the value of the 'Get Children' reference.
    `org.eclipse.emf.common.util.EList<RElementAction>` | `getHasAction()` Returns the value of the 'Has Action' containment reference list.
    `org.eclipse.emf.common.util.EList<RElementFilter>` | `getHasFilter()` Returns the value of the 'Has Filter' containment reference list.
    `RElementGetChildrenAction` | `getHasGetChildrenAction()` Returns the value of the 'Has Get Children Action' containment reference.
    `RElementGetProperties` | `getHasGetPropertiesAction()` Returns the value of the 'Has Get Properties Action' containment reference.
    `org.eclipse.emf.common.util.EList<RElementProperty>` | `getHasProperty()` Returns the value of the 'Has Property' containment reference list.
    `org.eclipse.emf.common.util.EList<RElementTextDecoration>` | `getHasTextDecoration()` Returns the value of the 'Has Text Decoration' containment reference list.
    `Icon` | `getIcon()` Returns the value of the 'Icon' reference.
    `IDDefinition` | `getIDDefinition()` Returns the value of the 'ID Definition' reference.
    `java.lang.String` | `getMatchname()` Returns the value of the 'Matchname' attribute.
    `void` | `setGetAllProperties(ActionDescriptor value)` Deprecated. use `setHasGetPropertiesAction(RElementGetProperties)` instead
    `void` | `setHasGetChildrenAction(RElementGetChildrenAction value)` Sets the value of the '`Has Get Children Action`' containment reference.
    `void` | `setHasGetPropertiesAction(RElementGetProperties value)` Sets the value of the '`Has Get Properties Action`' containment reference.
    `void` | `setIcon(Icon value)` Sets the value of the '`Icon`' reference.
    `void` | `setIDDefinition(IDDefinition value)` Sets the value of the '`ID Definition`' reference.
    `void` | `setMatchname(java.lang.String value)` Sets the value of the '`Matchname`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHasAction

          org.eclipse.emf.common.util.EList<RElementAction> getHasAction()

      Returns the value of the 'Has Action' containment reference list. The list contents are of type `RElementAction`. Relationship to an action descriptor. Element-Actions are added to the context menu of the corresponding element.
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasAction()`

    - #### getHasProperty

          org.eclipse.emf.common.util.EList<RElementProperty> getHasProperty()

      Returns the value of the 'Has Property' containment reference list. The list contents are of type `RElementProperty`. Relationship to a property that stands for an attribute of the element.
      Returns:
        the value of the 'Has Property' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasProperty()`

    - #### getHasFilter

          org.eclipse.emf.common.util.EList<RElementFilter> getHasFilter()

      Returns the value of the 'Has Filter' containment reference list. The list contents are of type `RElementFilter`. Relationship to a filter type. A Filter dialog box can be executed from the context menu of the corresponding element.
      Returns:
        the value of the 'Has Filter' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasFilter()`

    - #### getHasTextDecoration

          org.eclipse.emf.common.util.EList<RElementTextDecoration> getHasTextDecoration()

      Returns the value of the 'Has Text Decoration' containment reference list. The list contents are of type `RElementTextDecoration`. This relationship can be used to define decorations which should appear in front and/or behind of the label defined for the element type.
      Returns:
        the value of the 'Has Text Decoration' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasTextDecoration()`

    - #### getHasGetChildrenAction

          RElementGetChildrenAction getHasGetChildrenAction()

      Returns the value of the 'Has Get Children Action' containment reference. Under the relationship "Element Has Get Children Action" an action descriptor is defined which returns the children elements of the element. If an element is expanded in the tree view, this action displays the next hierarchical level of elements.
      Returns:
        the value of the 'Has Get Children Action' containment reference.
      See Also:
        `setHasGetChildrenAction(RElementGetChildrenAction)`, `TaurusPackage.getElementType_HasGetChildrenAction()`

    - #### setHasGetChildrenAction

          void setHasGetChildrenAction(RElementGetChildrenAction value)

      Sets the value of the '`Has Get Children Action`' containment reference.
      Parameters:
        `value` - the new value of the 'Has Get Children Action' containment reference.
      See Also:
        `getHasGetChildrenAction()`

    - #### getHasGetPropertiesAction

          RElementGetProperties getHasGetPropertiesAction()

      Returns the value of the 'Has Get Properties Action' containment reference.
      Returns:
        the value of the 'Has Get Properties Action' containment reference.
      See Also:
        `setHasGetPropertiesAction(RElementGetProperties)`, `TaurusPackage.getElementType_HasGetPropertiesAction()`

    - #### setHasGetPropertiesAction

          void setHasGetPropertiesAction(RElementGetProperties value)

      Sets the value of the '`Has Get Properties Action`' containment reference.
      Parameters:
        `value` - the new value of the 'Has Get Properties Action' containment reference.
      See Also:
        `getHasGetPropertiesAction()`

    - #### getGetAllProperties

          @Deprecated
          ActionDescriptor getGetAllProperties()

      Deprecated. use `, RElementGetProperties#getTargetID()` instead
      Returns the value of the 'Get All Properties' reference. Relationship to an action that returns all the property values of an element.
      Returns:
        the value of the 'Get All Properties' reference.
      See Also:
        `setGetAllProperties(ActionDescriptor)`, `TaurusPackage.getElementType_HasGetPropertiesAction()`

    - #### setGetAllProperties

          @Deprecated
          void setGetAllProperties(ActionDescriptor value)

      Deprecated. use `setHasGetPropertiesAction(RElementGetProperties)` instead
      Sets the value of the '`Get All Properties`' reference.
      Parameters:
        `value` - the new value of the 'Get All Properties' reference.
      See Also:
        `getGetAllProperties()`

    - #### getGetChildren

          ActionDescriptor getGetChildren()

      Returns the value of the 'Get Children' reference.

      If the meaning of the 'Get Children' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Get Children' reference.
      See Also:
        `setHasGetChildrenAction(RElementGetChildrenAction)`, `TaurusPackage.getElementType_HasGetChildrenAction()`

    - #### getIcon

          Icon getIcon()

      Returns the value of the 'Icon' reference. Reference to the icon of the element type.
      Returns:
        the value of the 'Icon' reference.
      See Also:
        `setIcon(Icon)`, `TaurusPackage.getElementType_Icon()`

    - #### setIcon

          void setIcon(Icon value)

      Sets the value of the '`Icon`' reference.
      Parameters:
        `value` - the new value of the 'Icon' reference.
      See Also:
        `getIcon()`

    - #### getIDDefinition

          IDDefinition getIDDefinition()

      Returns the value of the 'ID Definition' reference. Reference to the ID definition of the element type. This definition describes the properties of the element type that uniquely identify an element within an application.
      Returns:
        the value of the 'ID Definition' reference.
      See Also:
        `setIDDefinition(IDDefinition)`, `TaurusPackage.getElementType_IDDefinition()`

    - #### setIDDefinition

          void setIDDefinition(IDDefinition value)

      Sets the value of the '`ID Definition`' reference.
      Parameters:
        `value` - the new value of the 'ID Definition' reference.
      See Also:
        `getIDDefinition()`

    - #### getMatchname

          java.lang.String getMatchname()

      Returns the value of the 'Matchname' attribute.
      The name by which the element type can be determined.
      Returns:
        the value of the 'Matchname' attribute.
      See Also:
        `setMatchname(String)`, `TaurusPackage.getElementType_Matchname()`

    - #### setMatchname

          void setMatchname(java.lang.String value)

      Sets the value of the '`Matchname`' attribute.
      Parameters:
        `value` - the new value of the 'Matchname' attribute.
      See Also:
        `getMatchname()`

    - #### getDefaultAction

          @Deprecated
          RElementAction getDefaultAction()

      Deprecated. this method only returns the first default action, while there can be several. Either iterate through `getHasAction()` and use `RElementAction.isDefaultAction()` or use ElementAction#getDefaultActionsForType(ElementType, org.eclipse.jface.viewers.Viewer).
      Returns:
        The `RElementAction` with the attribute `Default_Action` set to true or `null`, if there is no default action for this Element Type.

    - #### getElementSuffixProperty

          RElementProperty getElementSuffixProperty()

      Gets the first element type property which has the special property value `ESpecialProperties.ELEMENT_SUFFIX`.
      Returns:
        the element suffix property relationship or `null`
      See Also:
        `Property.getSpecialProperty()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.